--【导例9.14】隐性事务模式
use 我班同学库
set xact_abort on     --当事务中有任一条语句出错取消时，取消整个事务
begin transaction
insert 宿舍表(宿舍编号, 宿舍电话号码) values ('泰山号','110')
insert 宿舍表(宿舍编号, 宿舍电话号码) values ('泰坦尼克号','119')
insert 宿舍表(宿舍编号, 宿舍电话号码) values ('致远号','120')
if @@error = 0 
	commit
else
	rollback
